Skip to Content

Get a browser handoff for a verified owner test

Opens the owner review screen for the specified publication and reply mailbox endpoint. Creating this link submits no message or provider request.

GET
/v1/integrations/catalog/recipes/post-delivery-check-in/owner-test/handoff

Opens the owner review screen for the specified publication and reply mailbox endpoint. Creating this link submits no message or provider request.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

channel*string
Value in"email""whatsapp"
templateId*string
Match^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$
publicationId*string
Match^tpub_[0-9a-hjkmnp-tv-z]{16,24}$
mailboxEndpointId*string
Match^mbxep_[0-9a-hjkmnp-tv-z]{16,24}$
fixture?string
Lengthlength <= 100
senderId?string
Match^sender_[0-9a-hjkmnp-tv-z]{16,24}$
businessAccountId?string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$
registrationId?string
Match^treg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

RecipeHandoff

application/json
  1. response
url*string
organizationSlug*string
setupId*|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeTestHandoff({
  "channel": "email",
  "templateId": "example",
  "publicationId": "example",
  "mailboxEndpointId": "example"
});
Example Response
{
  "url": "string",
  "organizationSlug": "string",
  "setupId": "f4709ab9-abc4-47f4-b2d4-4bb2be280931"
}

Related documentation